"""This module contains the apiV2-related urls of the ``evaluations`` app"""

from rest_framework_extensions.routers import ExtendedSimpleRouter
from macrosurl import url

from . import views


router = ExtendedSimpleRouter()
router.register(
    r'evaluations',
    views.EvaluationRetrieveView
)

non_router_urlpatterns = [
    url(
        r'evaluations/:evaluation_uuid/sessions/:session_uuid/ratings/',
        views.EvaluationRatingView.as_view({'get': 'list', 'post': 'create'}),
        name='evaluation-rating-list'
    )
]

urlpatterns = non_router_urlpatterns + router.urls
